# iFrame Integration

To enable a nexxPLAY Widget on your Pages via iFrame, you need the iFrame Embed URL. This URL can be received within the nexxOMNIA UI - or via the nexxOMNIA API.

The general Structure of a nexxPLAY Widget Embed URL looks like this

**`https://embed.nexx.cloud/:domainid/widget/:widgethash/:widgetsecret`**<br>

{% hint style="info" %}
&#x20;The **:domainid** Parameter is the Domain ID of that Widget
{% endhint %}

{% hint style="info" %}
The **:widgethash** Parameter is the Hash of the Widget
{% endhint %}

{% hint style="info" %}
&#x20;The **:widgetsecret** Parameter is the (optional) Secret for this Widget
{% endhint %}

The full Embed Code would then look like this:

```markup
<iframe width='640' height='360' 
    src='https://embed.nexx.cloud/:domainid/widget/:widgethash/:widgetsecret' 
    frameborder='0'>
</iframe>
```

If you need to modify the Widget Instance within the iFrame, this is more complicated than with the Javascript SDK. Nevertheless, you can use PostMessage Control to achieve this.

{% hint style="info" %}
If the Media Objects within the Feed do not have a valid fixed Link (because nexxOMNIA couldnt define a Link via the "**slug**" Attribute or a **Domain Pattern**), you must listen to Widget Events via PostMessage and handle the Navigation via Script.
{% endhint %}

{% hint style="info" %}
In Contrast to the nexxPLAY iFrame Codes, the **allow** Attributes are not necessary, as Widgets only show Images or inline Video.
{% endhint %}

{% content-ref url="/pages/-M9YTo8ua38YU62FG9b7" %}
[PostMessage Control](/iframe-integration/postmessage-control.md)
{% endcontent-ref %}

The following Override Options from nexxPLAY are also available for Widget iFrames:

| Parameter         | Description                                                                                                                                                         |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **platform**      | manually set the Player Platform (necessary, if used in an AMP Environemnt without the AMP Plugin - set it to "amp" in this Case)                                   |
| **language**      | manually set the Player Language                                                                                                                                    |
| **affiliateCode** | if the Widgetis launced on a Partner Website, this code indicates the Use of an Affiliate Partner - the corresponding Code can be found within nexxOMNIA            |
| **launchMode**    | If set to **`window`**, the Widget will try to open the Links of Click directly in a new Window. If you want to process the Event directly, set this to **`none`**. |
| **userHash**      | a valid User Reference Hash for personalized Results                                                                                                                |

The Widget System is also supported by the nexxPLAY WordPress Plugin and by nexxPLAY for React.

{% content-ref url="/pages/-M9YSzY8LDBA1BLLOJ60" %}
[Wordpress Plugin](/platform-plugins/wordpress-plugin.md)
{% endcontent-ref %}

{% content-ref url="/pages/GW8OXFimTQ2naUZD59wy" %}
[React Plugin](/platform-plugins/react-plugin.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://play.docs.nexx.cloud/widgets/iframe-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
